/*
 * Copyright (c) 2007 Klaus Dorer
 * Hochschule Offenburg
 */
package kdo.sort;

/**
 * @author klaus
 *
 */
public class BubbleSort extends SortAlgorithmBase
{
	/**
	 * Default constructor
	 */
	public BubbleSort()
	{
		super("BubbleSort", null);
	}

	/*
	 * (non-Javadoc)
	 *
	 * @see sort.SortAlgorithmBase#sort(java.lang.Comparable[])
	 */
	@Override
	public <T extends Comparable<? super T>> void sort(T[] a)
	{
		for (int i = 0; i < a.length - 1; i++) {
			for (int j = 1; j < a.length - i; j++) {
				if (isLessThan(a[j], a[j - 1])) {
					swap(a, j - 1, j);
				}
			}
		}
	}
}
