package kdo.sort;

import kdo.search.strategy.IStrategy;

public interface ISortAlgorithm extends IStrategy {
	/**
	 * Sorts the passed array of Comparables according to their natural ordering
	 * @param a the array to sort and that is sorted (in situ)
	 */
	<T extends Comparable<? super T>> void sort(T a[]);
}