package kdo.util.parameter;

@SuppressWarnings("serial")
public class EnumParameterList<T extends Enum<T>> extends ParameterList
{
	public EnumParameterList(Class<T> enumType)
	{
		super();
		for (T constant : enumType.getEnumConstants()) {
			put(constant, 0);
		}
		setValues();
	}

	protected void setValues()
	{
	}

	final public float get(T param)
	{
		return get(param.name());
	}

	public void put(T param, float value)
	{
		put(param.name(), value);
	}
}
