/*
 * Copyright (c) 2008 Klaus Dorer
 * Hochschule Offenburg
 */
package kdo.domain;

import javax.swing.JPanel;

/**
 * Interface for all views displaying a single individuum
 * @author dorer
 */
public interface IIndividuumView {
	/**
	 * @return an instance of the view to display while optimizing
	 */
	JPanel getDisplayPanel();

	/**
	 * Sets the individuum to display
	 * @param current the individuum to display
	 */
	void setCurrentIndividuum(IIndividuum current);
}
