/**
 *
 */
package kdo.reinforcement;

import kdo.domain.IOperator;
import kdo.domain.IProblemState;

/**
 * @author kdorer
 *
 */
public interface IQTableAccess {
	int getExplorationCount(IProblemState penultimateState, IOperator lastAction);

	void update(IProblemState penultimateState, IOperator lastAction, float newUtility);

	float getBestUtility(IProblemState currentState);

	float getUtility(IProblemState penultimateState, IOperator lastAction);

	IOperator getBestAction(IProblemState currentState);
}
